#!/usr/bin/env sh

# set -euxo pipefail

node scripts/bundle.js spec/set-payload.schema.json \
                       dist/set-payload.schema.json

rm -rf examples examples_fail
mkdir -p examples examples_fail

# Create examples using template files
for template in templates/*.json; do

    # Get the name of the template
    template_name=$(basename "$template")

    # Create the example
    set -- "1.0.0" "1.0.1" "1.0.2" "1.0.11" "1.1.0" "1.5.11"
    for version in "$@"; do
        sed -e "s|SCHEMA_VERSION|$version|g" "$template" > ./examples/"$template_name"_"$version".json
    done

   set -- "2.0.0" "3.0.1" "2.0.2" "2.0.11" "2.1.0" "3.5.11"
    for version in "$@"; do
        sed -e "s|SCHEMA_VERSION|$version|g" "$template" > ./examples_fail/"$template_name"_"$version".json
    done

done
